const baseOpts = {
    qrCodeBaseUrl: "https://map.abuzz.tech/amap/map.php?site=eastgate",
    siteBaseUrl: "/",
    mediaBaseUrl: "/cache",
    labelFontUrl: "assets/fonts/Circular_Pro_Book.json",
    amapBaseUrl: "/app/amap/",

    defaultViewsByNodeId: {
        "_21438_46853_1780": { camera: [19931, 20747, 46697], scene: [19904, 52195, 2939] }, // Default
		
		"_25803_21620_960": { camera: [19275, 17163, 62644], scene: [18684, 17162, 2939] }, // EastGate_WF-G01
		"_25552_21620_960": { camera: [19126, 16944, 65771], scene: [20657, 16946, 2939] }, // EastGate_WF-G02
		"_14975_21435_960": { camera: [19163, 16943, 59662], scene: [19163, 16942, 2939] }, // EastGate_WF-G03
		"_26313_22761_1440": { camera: [20584, 16174, 56825], scene: [20583, 15911, 2939] } // EastGate_WF-M04	
		
		},
		
    startNodeModel: {
        file: "app/assets/YOUAREHERE.obj",
        scale: [4, 4, 6],
        animate: false,
        animRotation: [0, 0, 5],
        neutralRotation: true
    },

    // poiPinPointModel: {
    //     file: "app/assets/XXXX.obj",
    //     scale: [2, 2, 2],
    //     neutralRotation: true
    // },

    // ssTopBanner: {
    //     link: "/../app/assets/images/ss-top-banner.png",
    //     type: "IMAGE"
    // },

    insideAreaDelta: 300,
    useFlyAnimation: false,
    pathAutoAnimate: true,
    pathAutoAnimateDelay: 0, // secs
    pathDirToPartAnimDelay: 1, // secs
    controlsRotate: true,
    controlsPan: true,
    controlsZoom: true,
    labelsHorizontal: false,

    zoneButtonUseLongName: false,
	multiFloorTransition: false,
    multiFloorTransitionInclineAngle: 75,
    heightSpread: 22000, // cm
    pathFullView: {
        camera: [17047, 108310, 51649],
        scene: [17463, 70736, 2942]
    },

    useTopCategories: false,
    qrDarkColor: "#53565A",
    maxPOIsResults: 300,

    clockDateFormat: "ddd, D MMMM",
    clockTimeFormat: "hh:mm A",
    weatherCity: "Frankston East, AU"
};

const customMainServicesCodes = ["toilets_disabled", "mailboxoffice", "atm_", "babies"];
const servicesWithResultsList = ["atm_", "security", "parking"];
const servicesWithResultsListSortField = "cellId";